Name:		libgalago
Version:	0.5.2
Release:	9%{?dist}
Summary:	Galago presence library

Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://www.galago-project.org/
Source0:	http://www.galago-project.org/files/releases/source/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	check-devel
BuildRequires:	gtk-doc
BuildRequires:	gettext-devel


%description
Galago is a D-BUS-based desktop presence framework used to provide account,
person, and presence information for users on IM services and other
communication networks for use in other desktop applications, such as e-mail
clients or address books.


%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	dbus-devel
Requires:	dbus-glib-devel
Requires:	pkgconfig
Requires:	%{name} = %{version}-%{release}


%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --enable-static=no
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# Copy the files from the tarball to avoid the IDs generated by gtk-doc being
# different on different builds
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/libgalago/
cp -a docs/reference/html/* $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/libgalago/

%find_lang %{name}

mkdir -p $RPM_BUILD_ROOT%{_libdir}/galago
rm -f $RPM_BUILD_ROOT%{_datadir}/autopackage/skeletons/@galago.info/%{name}/skeleton.1


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/%{name}.so.*
%dir %{_libdir}/galago


%files devel
%defattr(-,root,root,-)
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}/
%{_datadir}/gtk-doc/html/%{name}


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Apr 02 2008 - Bastien Nocera <bnocera@redhat.com> - 0.5.2-7
- Don't generate the gtk-doc docs, and use the ones in the tarball
  to avoid having different files in different builds, fixes
  multilib problems (#342071)

* Fri Feb  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.5.2-6
- Rebuild for gcc-4.3.

* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.2-5
- Rebuild.

* Thu Aug  2 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.2-4
- Update license tag.

* Wed Oct 11 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.5.2-3
- Actually put the libdir in the correct package.

* Wed Oct 11 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.5.2-2
- Have package own %%libdir/galago.

* Sat Oct  7 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.5.2-1
- Update to 0.5.2.
- Drop gettext patch.

* Tue Aug 29 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.5.1-7
- Rebuild for FC6.

* Thu Jul 27 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.5.1-6
- Add BR on dbus-glib-devel.

* Thu Jul 27 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.5.1-5
- Rebuild because of dbus soname change.

* Fri Jun 23 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.5.1-4
- Add BR for autoconf, libtool, & automake.
- Add devel requires on pkgconfig.

* Thu May 25 2006 Brian Pepple <bdpepple@ameritech.net> - 0.5.1-3
- Add BR for gettext-devel, since autogen.sh is being reran.
- Add back BR on check-devel.

* Thu May 25 2006 Brian Pepple <bdpepple@ameritech.net> - 0.5.1-2
- Update to 0.5.1.
- Add patch to fix setup-gettext script.
- Add BR for gtk-doc, and build documentation.
- Change BR from check-devel to check.

* Wed May 17 2006 Brian Pepple <bdpepple@ameritech.net> - 0.5.0-2
- Bump.

* Fri Apr 21 2006 Brian Pepple <bdpepple@ameritech.net> - 0.5.0-1
- Initial Fedora Extras spec.

